Next Previous Contents

## 3.136 setlocale

> Function

>   Selects a locale.

> Header

>   `locale.h`

> Declaration

>   `char* __fastcall__ setlocale (int category, const char* locale);`

> Description

>   `setlocale` sets or queries the program's locale.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - cc65 supports only the "C" locale, so calling this function to set a different locale has no effect.
> Availability

>   ISO 9899

> See also

>   localeconv, strcoll strxfrm

> Example

>   None.

Next Previous Contents